# ezQuake Manual: Multiplayer Variables

- Network Settings
- Player Settings
- Server Browser
- Skin Settings
- Spectator Tracking

## Network Settings Variables

### cl_c2sImpulseBackup

#### Description

Used with cl_c2spps, it controls how many backup copies of packets with non-zero impulses are to be sent to the server. The recommended value is 3, but you can try 2 or even 1 to reduce traffic if you don't have any packet loss.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 3

Variable is float.

### cl_c2spps

#### Description

Packet filtering (a la Qizmo's .c2spps command). Use this to reduce network traffic if you're playing on a 28800 (or worse) connection and can't set cl_maxfps 72 because it causes lags.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0

Variable is float.

### cl_chunksperframe

#### Description

Affects the download speed when using chunked downloads, more chunks per frame results in higher download speed

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 2

Variable is integer.

Servers can limit the amount of chunks sent per frame

### cl_crypt_rcon

#### Description

Encrypts rcon messages sent to server.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 1

Variable is float.

### cl_fix_mvd

#### Description

A fix for buggy MVD demos, making the client to parse them properly

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0

#### Values

value | description
1 |
0 |

Was caused by a flaw in MVDSV server

### cl_nodelta

#### Description

Control the network packet delta compression. When you get blue lines in your netgraph, you should set 'cl_nodelta 1'.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0

#### Values

value | description
1 | Disable delta compression.
0 | Enable delta compression.

### cl_nopred

#### Description

For debugging, disables movement prediction for your character; other players are still predicted.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0

#### Values

value | description
1 | Don't predict movement
0 | Predict movement

### cl_pext_chunkeddownloads

#### Description

Enables protocol extension called \"Chunked downloads\". Allows you to download maps and demos from servers faster.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 1

#### Values

value | description
1 |
0 |

### cl_pext_other

#### Description

Allows other protocol extensions other than Chunked downloads

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0

#### Values

value | description
1 |
0 |

### cl_predict_half

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0

#### Values

value | description
1 | Predicting half the move (QW 2.30 default)
0 | Full prediction of players' movement (ezQuake default)

The new default eliminates player models' jittering when independent physics is enabled; a possible downside is larger prediction errors of modem players' movement, hence the option to revert to old behavior.

### cl_predict_players

#### Description

This toggles the prediction for other players' movement. Unless you are having problems this variable should be left at "1".

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 1

#### Values

value | description
1 |
0 |

### cl_solid_players

This variable has been updated

#### Description

Whether the movement prediction engine should treat other players as solid.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 1

#### Values

value | description
1 |
0 |

Default is 1 and there's no reason to change it.

### cl_timeout

#### Description

This variable defines the timeout value in seconds until the client considers himself to be disconnected from the server.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 60

Variable is float.

### cl_useproxy

#### Description

This toggles whether Qizmo should be used (if detected) to a server. When enabled the server browser will use an existing connection to a Qizmo when connecting another server by using the ezQuake Server Browser.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0

#### Values

value | description
1 | use Qizmo to connect a server chosen in the Server Browser
0 | do not use Qizmo to connect a server chosen in the Server Browser

### pushlatency

#### Description

A legacy cvar for compatibility with old configs. Does nothing in ezQuake.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: -999

#### Values

value | description

Some people suggest to use the negative value of your ping to achieve the best results, however in most cases the default value of "0" should be fine.

## Player Settings Variables

### bottomcolor

#### Description

Sets the pants color.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default:

Variable is float.

### b_switch

#### Description

This variable allows you to define the highest weapon that the client should switch to upon a backpack pickup. The possible arguments of "b_switch" refer to the impulse that is used to switch to a certain weapon:

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default:

#### Values

value | description
1 | Axe
2 | Shotgun
3 | Double-Barreled Shotgun
4 | Nailgun
5 | Super Nailgun
6 | Grenade Launcher
7 | Rocket Launcher
8 | ThunderBolt

### msg

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 1

#### Values

value | description
0 | Maximum reporting of messages.
1 | Parsed reporting of messages.
2 | Limited reporting of messages.
3 | Minimal reporting of messages.
4 | No reporting of messages.

### name

#### Description

Player's name.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: player

Variable is string.

### noaim

#### Description

This variable toggles whether a server-sided aiming-help should be used when shooting rockets (not possible when the server variable "sv_aim" is set to "0").

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 1

#### Values

value | description
1 | Disable server-side aiming help for rockets.
0 | Enable server-side aiming help for rockets (if allowed by the server).

### rate

#### Description

Sets the maximum amount of bytes per second that the server should send to the client.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 5760

Variable is float.

### skin

#### Description

Sets the skin name for the player.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default:

Variable is float.

### spectator

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default:

#### Values

value | description
1 | Join to server as spectator.
0 | Join to server as player.

### team

#### Description

Set the team name.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default:

Variable is float.

### topcolor

#### Description

Sets the shirt color.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default:

Variable is float.

### w_switch

#### Description

This variable allows you to define the highest weapon that the client should switch to when picking it up. The possible arguments of "w_switch" refer to the impulse that is used to switch to a certain weapon:

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default:

#### Values

value | description
1 | Axe
2 | Shotgun
3 | Double-Barreled Shotgun
4 | Nailgun
5 | Super Nailgun
6 | Grenade Launcher
7 | Rocket Launcher
8 | ThunderBolt

## Server Browser Variables

### sb_autohide

#### Description

This toggles in which cases the server browser should automatically hide itself when connecting to a server.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 1

#### Values

value | description
0 | Never hide server browser
1 | This will cause the server browser to always hide after connecting
2 | This will cause the server browser to hide after connecting only, if the connected server is not a qizmo proxy, useful if you often connect to Qizmos only for rerouting features (with "useproxy 1")

### sb_autoupdate

#### Description

Enabled auto-updates (pings & refreshes status) servers from actually marked server sources in Server Browser.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 1

#### Values

value | description
1 | auto-refresh server list when first entering Server Browser menu
0 | do not refresh server list automatically

Usefull with sb_starttab 1 and '+cfg_load myconfig +menu_slist' in command-line.

### sb_hidedead

#### Description

This toggles whether ezQuake should hide dead servers.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 1

#### Values

value | description
1 | hide dead servers
0 | don't hide dead servers

### sb_hideempty

#### Description

This toggles whether ezQuake should hide empty servers.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 1

#### Values

value | description
1 | hide empty servers
0 | don't hide empty servers

### sb_hidefull

#### Description

This toggles whether ezQuake should hide full servers.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0

#### Values

value | description
1 | hide full servers
0 | don't hide full servers

### sb_hidenotempty

#### Description

This toggles whether ezQuake should hide empty servers.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0

#### Values

value | description
1 | hide empty servers
0 | don't hide empty servers

### sb_inforetries

#### Description

This determines how often ezQuake should try to retrieve information from a server until it is considered to be not responding.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 3

Variable is float.

### sb_infospersec

#### Description

This determines how many serverinfos per second ezQuake should retrieve when scanning servers. When setting this value too high you will flood your line, causing you to not receive information from servers or lagging your connect to the server you are currently connected to.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 100

Variable is float.

### sb_infotimeout

#### Description

This determines how long ezQuake will wait for a reply when trying to retrieve information from a server until the attempt times out.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 1000

Variable is float.

### sb_liveupdate

#### Description

This will determine how often ezQuake should refresh the serverinfo window, the specified value sets the delay in seconds. Setting it to "0" will disable automatic refreshing.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 2

Variable is float.

### sb_mastercache

#### Description

This toggles whether ezQuake should cache the results of queries to master server (in directory qw/sb/cache). If you restart ezQuake and don't update sources or if a master server is down, ezQuake will use the cache.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 1

#### Values

value | description
1 | use the cache for master servers when they are down or haven't been refreshed
0 | don't use cache for master servers

### sb_masterretries

#### Description

This determines how often ezQuake should try to retrieve information from a master server until it is considered to be not responding.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 3

Variable is float.

### sb_mastertimeout

#### Description

This determines how long ezQuake will wait for a reply when trying to retrieve information from a master server until the attempt times out.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 1000

Variable is float.

### sb_maxheight

This variable has been deleted

#### Description

This set the maximum height for the server browser menu in pixels.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default:

Variable is float.

### sb_maxwidth

This variable has been deleted

#### Description

This set the maximum width for the server browser menu in pixels.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default:

Variable is float.

### sb_pings

#### Description

This determines how many pings ezQuake will send to a server when trying to determine your ping to it. A higher value will cause scanning servers to take longer, but the result may be more exact. A lower value obviously makes scanning faster, but pings may be inaccurate.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 3

Variable is float.

### sb_pingspersec

#### Description

This determines how many pings per second ezQuake should sent out when scanning servers. If you set this value too high the result will be that the pings will not be accurate because you overloaded your line. If you set it too low scanning servers will take very long especially when you have a large server list.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 150

Variable is float.

### sb_pingtimeout

#### Description

This determines how long ezQuake will wait for a reply when trying to ping a server until the attempt times out.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 1000

Variable is float.

### sb_showaddress

#### Description

This toggles whether ezQuake should display the server IP column in the server list.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0

#### Values

value | description
1 | show the server IP column
0 | do not show the server IP column

### sb_showcounters

#### Description

This toggles whether ezQuake should display the number of servers or players in the status line.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default:

#### Values

value | description
1 | show the server/player counter in the status line
0 | do not show the server/player counter in the status line

### sb_showfraglimit

#### Description

This toggles whether ezQuake should display the fraglimit column in the server list.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0

#### Values

value | description
1 | show the fraglimit column
0 | do not show the fraglimit column

### sb_showgamedir

#### Description

This toggles whether ezQuake should display the gamedir column in the server list, for example to see which mod is being played.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0

#### Values

value | description
1 | show the gamedir column
0 | do not show the gamedir column

### sb_showmap

#### Description

This toggles whether ezQuake should display the map column in the server list.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 1

#### Values

value | description
1 | show the map column
0 | do not show the map column

### sb_showping

#### Description

This toggles whether ezQuake should display the ping column in the server list.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 1

#### Values

value | description
1 | show the ping column
0 | do not show the ping column

### sb_showplayers

#### Description

This toggles whether ezQuake should display the players column in the server list that shows how many players are on the server as well as how many players are allowed.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 1

#### Values

value | description
1 | show the players column
0 | do not show the players column

### sb_showtimelimit

#### Description

This toggles whether ezQuake should display the timelimit column in the server list.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0

#### Values

value | description
1 | show the timelimit column
0 | do not show the timelimit column

### sb_sortplayers

#### Description

This determines sort order in the players list. This uses the numbers from the description of the columns. Check "Columns available in servers/players list" above for an explanation of each number. A "-" in front of the value reverses the sort order for that value from ascending to descending. address (ip:port).

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 92

Variable is float.

### sb_sortservers

#### Description

This determines sort order in the servers list. This uses the numbers from the description of the columns. Check "Columns available in servers/players list" above for an explanation of each number. A "-" in front of the value reverses the sort order for that value from ascending to descending. server address (ip:port).

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 32

Variable is float.

### sb_sortsources

#### Description

Ordering instructions for server browser sources list are stored in this variable. You can order source server in Server browser by pressing Ctrl+1, Ctrl+2 and Ctrl+3. Sequence of your desired combination will be stored in this variable, newest keys first.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 3

Variable is string.
E.g.: 3-21 means you've pressed Ctrl+1, Ctrl+2, Ctrl+2 and Ctrl+3 so your sources are now ordered by server count, last update time and source name.

### sb_sourcevalidity

#### Description

This sets the time of master servers validity in minutes. Master servers that were updated within the specified time will not be refreshed when updating sources with [SPACE].

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 30

Variable is float.

### sb_starttab

This variable has been deleted

#### Description

Sets default tab in Server Browser. This tab will be displayed when you enter Server Browser for the first time of client instance.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default:

Variable is integer.
Possible values are 1, 2, 3 and 4.

Usefull with sb_autoupdate 1 and '+cfg_load myconfig +menu_slist' in command-line.

### sb_status

#### Description

This toggles whether the server status should be displayed in the two bottom lines of the server browser.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 1

#### Values

value | description
1 | display the status
0 | do not display the status

## Skin Settings Variables

### baseskin

#### Description

Defines what skin u see other people using if you don't have their skin and don't have skin forcing on.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: base

Variable is float.

### cl_name_as_skin

#### Description

Allows you to override user skin settings and use player's name or ID as a his (her) skin

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0

#### Values

value | description
0 | Use player's skin setting
1 | Use player's name as his skin
2 | Use player's ID as his skin

There are many other skin settings that can override, e.g. all enemy*skin, team*skin settings override this setting.

### enemybothskin

#### Description

Overrides the enemy quad pent skin so you can define the skin which applies to enemy quads pents.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default:

Variable is float.

### enemybottomcolor

#### Description

Determines the color of the pants of the enemies you see. Overrides player's skin settings.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: -1

Variable is integer.
-1 to turn this off, values from 0 to 13 for standard Quake colors

To be able to use RGB 24bit colors, look for r_enemyskincolor variable.

### enemyforceskins

#### Description

Allows you to set different skin for every enemy player even if they all have same skin names set or use names of skins that you do not have in your Quake dir

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0

#### Values

value | description
0 | Disabled
1 | Use player's name as the name of the skin to be used
2 | Use player's userid number (only useful for video capturing)
3 | Assign skins "e1", "e2", "e3", etc. to the enemies.

Read "Player skins" manual page for more info on skin rules.

### enemypentskin

#### Description

Overrides the enemy pent skin so you can define the skin which applies to enemy pents.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default:

Variable is float.

### enemyquadskin

#### Description

Overrides the enemy quad skin so you can define the skin which applies to enemy quads.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default:

Variable is float.

### enemyskin

#### Description

Overrides the enemies skin so you can define the skin which applies to enemies.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default:

Variable is float.

### enemytopcolor

#### Description

Determines the color of the shirt of the enemies you see. Overrides player's skin settings.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: -1

Variable is integer.
-1 to turn this off, values from 0 to 13 for standard Quake colors

To be able to use RGB 24bit colors, look for r_enemyskincolor variable.

### noskins

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0

#### Values

value | description
0 | Enable skins.
1 | Disable skins.
2 | Enable skins but do not download new skins.

### r_enemyskincolor

#### Description

Allows you to set color for enemies you see in RGB format

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default:

Variable is string.

See r_skincolormode for more info

### r_fullbrightSkins

#### Description

Determines the fullbright percentage of skins. Fullbright skins can always be used during demo playback. The f_skins response will indicate the brightness level being used as a percentage.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 1

#### Values

value | description
0 | Being 0% fullbright.
0.5 | Being 50% fullbright.
1 | Being 100% fullbright.

### r_skincolormode

#### Description

Toggles different modes of how colors from r_enemyskincolor and r_teamskincolor are applied to players.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0

#### Values

value | description
0 | Makes skin solid.
1 | ?
2 | Makes skin sort of topographic with r_enemy/team skincolor color.
3 | ?
4 | Same as 5 but fullbright.
5 | Applies r_enemy/team skincolor hue to skin.

### r_teamskincolor

#### Description

Allows you to set color for teammates you see in RGB format

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default:

Variable is string.

See r_skincolormode for more info

### teambothskin

#### Description

Overrides the team quad pent skin so you can define the skin which applies to team quads pents.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default:

Variable is float.

### teambottomcolor

#### Description

Determines the color of the pants of the teammates you see. Overrides player's skin settings.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: -1

Variable is integer.
-1 to turn this off, values from 0 to 13 for standard Quake colors

To be able to use RGB 24bit colors, look for r_teamskincolor variable.

### teamforceskins

#### Description

Allows you to set different skin for every team player even if they all have same skin names set or use names of skins that you do not have in your Quake dir

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0

#### Values

value | description
0 | Disabled
1 | Use player's name as the name of the skin to be used
2 | Use player's userid number (only useful for video capturing)
3 | Assign skins "t1", "t2", "t3", etc. to your teammates.

Read "Player skins" manual page for more info on skin rules.

### teampentskin

#### Description

Overrides the team pent skin so you can define the skin which applies to team pents.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default:

Variable is float.

### teamquadskin

#### Description

Overrides the team quad skin so you can define the skin which applies to team quads.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default:

Variable is float.

### teamskin

#### Description

Overrides the team skin so you can define the skin which applies to team mates.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default:

Variable is float.

### teamtopcolor

#### Description

Determines the color of the shirt of the teammates you see. Overrides player's skin settings.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: -1

Variable is integer.
-1 to turn this off, values from 0 to 13 for standard Quake colors

To be able to use RGB 24bit colors, look for r_teamskincolor variable.

## Spectator Tracking Variables

### cam_dist

#### Description

for use with cam_thirdperson. Use +forward/+back to adjust it smoothly

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 100

Variable is integer.
Value = distantion

### cam_lockdir

#### Description

Force camera to locked direction mode

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0

#### Values

value | description
1 | Force
0 | Dont force

### cam_lockpos

#### Description

Force camera to locked position mode

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0

#### Values

value | description
1 | Force
0 | Dont force

EXPEREMENTAL

### cam_thirdperson

#### Description

Enables third person view in demo playback and spectator mode. In track mode, we look at the person being tracked rather than through his eyes. Unlike cl_camera_tpp, you can use the mouse to look around.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0

#### Values

value | description
1 |
0 |

in track mode, we look at the person being tracked rather than through his eyes

### cam_zoomaccel

#### Description

To control how fast you zoom in onto the target with +forward/+back in cam_thirdperson mode

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 2000

### cam_zoomspeed

#### Description

To control how fast you zoom in onto the target with +forward/+back in cam_thirdperson mode.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 300

### cl_camera_death

#### Description

Camera view above your body after death.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0

Variable is float.

Enabled only for viewing demos and observing games.

### cl_camera_tpp

#### Description

0 = 1st person view 1 = 3rd person view ala Tomb Raider (such a fun!) 2 = 3rd person view ala cl_chasecam 0 (buggy)

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0

Variable is float.

Enabled only for viewing demos and observing games.

### cl_camera_tpp_distance

#### Description

Sets distance of 3rd person camera from tracked player.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: -56

Variable is float.
You can use negative values too.

Set cl_camera_tpp 1 first. See cl_camera_tpp_height too.

### cl_camera_tpp_height

#### Description

Sets vertical position of 3rd person camera.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 24

Variable is float.
You can use negative values too.

Set cl_camera_tpp 1 first.

### cl_chasecam

#### Description

Toggle between 3rd-person view and 1st-person view while observing or during demo playback.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 1

#### Values

value | description
1 | First-person ("through-eyes") view.
0 | Third-person view.

### cl_hightrack

#### Description

Turns auto-tracking player with most frags ON when spectating or watching a demo.

Support: Windows: OpenGL Windows: Software Linux: GLX Linux: X11 Linux: SVGA Mac OS X FreeBSD

Default: 0

Variable is float.

Last update: 09.11.2005 02:15 PST, made by JohnNy_cz | ezQDocs